/*  DeltaASP: Delta-debugger for answer set solver development.
 *  Copyright (C) 2009  Robert Daniel Brummayer
 *
 *  This file is part of DeltaASP.
 *
 *  DeltaASP is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  DeltaASP is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package parser;

import java.util.*;

public class DisjunctiveHead extends RuleElement {

  public List<Literal> lits;

  public DisjunctiveHead (List<Literal> lits) {
    int size;

    assert (lits != null);
    assert (lits.size() > 0);
    size = lits.size();
    this.lits = new Vector<Literal>(size);
    for (Literal lit : lits)
      this.lits.add (lit);
  }

  public String toString() {
    StringBuilder builder;
    int size;

    assert (this.lits != null);
    assert (this.lits.size() > 0);
    builder = new StringBuilder();
    builder.append (this.lits.get(0));
    size = this.lits.size();
    for (int i = 1; i < size; i++) {
      builder.append(" | ");
      builder.append(this.lits.get(i).toString());
    }
    return builder.toString();
  }

}

