/*  DeltaASP: Delta-debugger for answer set solver development.
 *  Copyright (C) 2009  Robert Daniel Brummayer
 *
 *  This file is part of DeltaASP.
 *
 *  DeltaASP is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  DeltaASP is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package parser;

public class Literal extends RuleElement {

  public String atomName;

  public boolean negAsFailure;

  public boolean negClassic;


  public Literal (String atomName, boolean negAsFailure, boolean negClassic) {
    assert (atomName != null);
    assert (atomName.length() > 0);
    this.atomName = atomName;
    this.negAsFailure = negAsFailure;
    this.negClassic = negClassic;
  }

  public String toString(){
    String result;
    if (this.negAsFailure)
      result = "not ";
    else
      result = "";
    if (this.negClassic)
      result += "-";
    result += this.atomName;
    return result;
  }

}
