/*  DeltaASP: Delta-debugger for answer set solver development.
 *  Copyright (C) 2009  Robert Daniel Brummayer
 *
 *  This file is part of DeltaASP.
 *
 *  DeltaASP is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  DeltaASP is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package parser;

public enum TokenKind
{
  NONE("none"), 
  IDENT("identifier"),
  NUMERAL("numeral"),
  IF(":-"),
  COMMA(","),
  DOT("."),
  COLON(":"),
  LPAR("("),
  RPAR(")"),
  LBRACK("["),
  RBRACK("]"),
  LBRACE("{"),
  RBRACE("}"),
  EQ("="),
  MINUS("-"),
  NOT("not"), 
  DIS("|"), 
  EOF("end of file");


  protected String string;

  TokenKind(String string){
    this.string = string;
  }

  public String getString(){
    return this.string;

  }

}
